Subject: Re: [net-next: PATCH 03/12] net: dsa: switch to device_/fwnode_ APIs

From: Florian Fainelli <[email-masked]>
Date: Wed, 22 Jun 2022 09:09:31 -0700

On 6/21/22 04:02, Andy Shevchenko wrote:
> On Tue, Jun 21, 2022 at 11:27:43AM +0200, Marcin Wojtas wrote:
>> pon., 20 cze 2022 o 19:41 Andy Shevchenko
>> <[email-masked]> napisał(a):
>>> On Mon, Jun 20, 2022 at 05:02:16PM +0200, Marcin Wojtas wrote:
> 
> ...
> 
>>>>        struct device_node      *dn;
>>>
>>> What prevents us from removing this?
>>
>> I left it to satisfy possible issues with backward compatibility - I
>> migrated mv88e6xxx, other DSA drivers still rely on of_* and may use
>> this field.
> 
> If it is so, it's a way to get into troubles of desynchronized dn and fwnode.

Agreed, we can take it in baby steps if you prefer, but ultimately we 
should move to using a fwnode reference rather than a device_node 
reference and if there are drivers needing the device_node we can always 
extract it from the fwnode.
-- 
Florian